Skip to content

Get Me

GET
/api/auth/me
curl --request GET \
--url https://example.com/api/auth/me \
--header 'Authorization: Bearer <token>'

Return the current user’s profile and linked provider identities.

Requires a valid access token.

Returns: { “user_id”: ”…”, “user_uuid”: ”…”, “display_name”: ”…”, “email”: ”…”, “avatar_url”: ”…”, “deal_id”: ”…”, “identities”: [{“provider”: ”…”, “provider_user_id”: ”…”, “created_at”: ”…”}] }

Successful Response

Media type application/json
MeResponse

Response from GET /auth/me.

object
user_id
required
User Id
string
user_uuid
Any of:
string
display_name
Any of:
string
email
Any of:
string
avatar_url
Any of:
string
deal_id
Any of:
string
identities
Identities
Array<object>
IdentityEntry

One linked provider identity inside GET /auth/me response.

object
provider
required
Provider
string
provider_user_id
required
Provider User Id
string
created_at
Any of:
string
Example generated
{
"user_id": "example",
"user_uuid": "example",
"display_name": "example",
"email": "example",
"avatar_url": "example",
"deal_id": "example",
"identities": [
{
"provider": "example",
"provider_user_id": "example",
"created_at": "example"
}
]
}